searchData={"items":[{"type":"module","title":"Murmur3","doc":"Murmur3 library for Elixir calling a Rust NIF as a wrapper and providing a more idiomatic API.","ref":"Murmur3.html"},{"type":"function","title":"Murmur3.murmur3_x64_128/2","doc":"Generates a x64 128-bit Murmur3 hash.","ref":"Murmur3.html#murmur3_x64_128/2"},{"type":"function","title":"Parameters - Murmur3.murmur3_x64_128/2","doc":"* `input` - The input to hash\n* `seed` - The seed to use for the hash","ref":"Murmur3.html#murmur3_x64_128/2-parameters"},{"type":"function","title":"Examples - Murmur3.murmur3_x64_128/2","doc":"iex> Murmur3.murmur3_x64_128(\"hello\")\n    {:ok, 121118445609844952839898260755277781762}\n    iex> Murmur3.murmur3_x64_128(\"hello\", 123)\n    {:ok, 19243349499071459060235768594146641163}","ref":"Murmur3.html#murmur3_x64_128/2-examples"},{"type":"function","title":"Murmur3.murmur3_x86_32/2","doc":"Generates a 32-bit Murmur3 hash.","ref":"Murmur3.html#murmur3_x86_32/2"},{"type":"function","title":"Parameters - Murmur3.murmur3_x86_32/2","doc":"* `input` - The input to hash\n* `seed` - The seed to use for the hash","ref":"Murmur3.html#murmur3_x86_32/2-parameters"},{"type":"function","title":"Examples - Murmur3.murmur3_x86_32/2","doc":"iex> Murmur3.murmur3_x86_32(\"hello\")\n    {:ok, 613153351}\n    iex> Murmur3.murmur3_x86_32(\"hello\", 123)\n    {:ok, 1573043710}","ref":"Murmur3.html#murmur3_x86_32/2-examples"},{"type":"function","title":"Murmur3.murmur3_x86_128/2","doc":"Generates a x86 128-bit Murmur3 hash.","ref":"Murmur3.html#murmur3_x86_128/2"},{"type":"function","title":"Parameters - Murmur3.murmur3_x86_128/2","doc":"* `input` - The input to hash\n* `seed` - The seed to use for the hash","ref":"Murmur3.html#murmur3_x86_128/2-parameters"},{"type":"function","title":"Examples - Murmur3.murmur3_x86_128/2","doc":"iex> Murmur3.murmur3_x86_128(\"hello\")\n    {:ok, 205839232668418009241864179939306390688}\n    iex> Murmur3.murmur3_x86_128(\"hello\", 123)\n    {:ok, 39646137218600763345533167485429249129}","ref":"Murmur3.html#murmur3_x86_128/2-examples"},{"type":"module","title":"Murmur3.Wrapper","doc":"Nif Wrapper for Murmur3 rust library","ref":"Murmur3.Wrapper.html"},{"type":"function","title":"Murmur3.Wrapper.gen32/2","doc":"","ref":"Murmur3.Wrapper.html#gen32/2"},{"type":"function","title":"Murmur3.Wrapper.gen_x64/2","doc":"","ref":"Murmur3.Wrapper.html#gen_x64/2"},{"type":"function","title":"Murmur3.Wrapper.gen_x86/2","doc":"","ref":"Murmur3.Wrapper.html#gen_x86/2"},{"type":"extras","title":"Murmur3","doc":"# Murmur3\n[![Hex docs](http://img.shields.io/badge/hex.pm-docs-green.svg?style=flat)](https://hexdocs.pm/murmur3)\n[![Hex Version](http://img.shields.io/hexpm/v/murmur3.svg?style=flat)](https://hex.pm/packages/murmur3)\n[![License](http://img.shields.io/hexpm/l/murmur3.svg?style=flat)](https://github.com/3zcurdia/murmur3/blob/master/LICENSE)\n\nWrapper for [Murmur3](https://crates.io/crates/murmur3) rust library. MurmurHash is a non-cryptographic hash function suitable for general hash-based lookup.\n\nIt mplements the version 3 with ther three main variants x86_32bit, x86_128bit and x64_128bit.","ref":"readme.html"},{"type":"extras","title":"Installation - Murmur3","doc":"Add Murmur as a dependency in your mix.exs file.\n\n```elixir\ndef deps do\n  [\n    {:murmur3, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Murmur3","doc":"To generate a hash for a string, use the `murmur3_x86_32` function.\n\n```elixir\niex> Murmur3.murmur3_x86_32(\"hello world\", 0)\n{:ok, 1586663183}\n```\nTo generate a hash for the x86_128 variant, use the `murmur3_x86_128` function.\n\n```elixir\niex> Murmur3.murmur3_x86_128(\"hello world\", 0)\n{:ok, 206095855024402301784664199839047883400}\n```\nTo generate a hash for the x64_128 variant, use the `murmur3_x64_128` function.\n\n```elixir\niex> Murmur3.murmur3_x64_128(\"hello world\", 0)\n{:ok, 228083453807047072434243676435732455694}\n```","ref":"readme.html#usage"},{"type":"extras","title":"License - Murmur3","doc":"This project is licensed under the MIT License - see the [LICENSE](LICENSE.md) file for details","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}